| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::legacy::Tracker Class Referenceabstract
Tracking API » Legacy Tracking API

Base abstract class for the long-term tracker: More...

`#include <opencv2/tracking/tracking_legacy.hpp>`

Collaboration diagram for cv::legacy::Tracker:

## Public Member Functions
| Tracker ()
virtual | ~Tracker () CV_OVERRIDE
bool | init (InputArray image, const Rect2d &boundingBox)
| Initialize the tracker with a known bounding box that surrounded the target.
virtual void | read (const FileNode &fn) CV_OVERRIDE=0
| Reads algorithm parameters from a file storage.
bool | update (InputArray image, Rect2d &boundingBox)
| Update the tracker, find the new most likely bounding box for the target.
virtual void | write (FileStorage &fs) const CV_OVERRIDE=0
| Stores algorithm parameters in a file storage.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | save (const String &filename) const
void | write (FileStorage &fs, const String &name) const

## Protected Member Functions
virtual bool | initImpl (const Mat &image, const Rect2d &boundingBox)=0
virtual bool | updateImpl (const Mat &image, Rect2d &boundingBox)=0
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Protected Attributes
Ptr< TrackerContribFeatureSet > | featureSet
bool | isInit
Ptr< TrackerModel > | model
Ptr< TrackerContribSampler > | sampler

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Detailed Description

Base abstract class for the long-term tracker:

## Constructor & Destructor Documentation

## ◆ Tracker()

cv::legacy::Tracker::Tracker | ( |  | ) |

## ◆ ~Tracker()

virtual cv::legacy::Tracker::~Tracker | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ init()

bool cv::legacy::Tracker::init | ( | InputArray | image,
|  | const Rect2d & | boundingBox )

Python:
| cv.legacy.Tracker.init( | image, boundingBox | ) -> | retval

Initialize the tracker with a known bounding box that surrounded the target.

Parameters

  image | The initial frame
  boundingBox | The initial bounding box

Returns
  True if initialization went succesfully, false otherwise

## ◆ initImpl()

virtual bool cv::legacy::Tracker::initImpl | ( | const Mat & | image,
|  | const Rect2d & | boundingBox )
| protected pure virtual

## ◆ read()

virtual void cv::legacy::Tracker::read | ( | const FileNode & | fn | ) |
| pure virtual

Reads algorithm parameters from a file storage.

Reimplemented from cv::Algorithm.

## ◆ update()

bool cv::legacy::Tracker::update | ( | InputArray | image,
|  | Rect2d & | boundingBox )

Python:
| cv.legacy.Tracker.update( | image | ) -> | retval, boundingBox

Update the tracker, find the new most likely bounding box for the target.

Parameters

  image | The current frame
  boundingBox | The bounding box that represent the new target location, if true was returned, not modified otherwise

Returns
  True means that target was located and false means that tracker cannot locate target in current frame. Note, that latter does not imply that tracker has failed, maybe target is indeed missing from the frame (say, out of sight)

## ◆ updateImpl()

virtual bool cv::legacy::Tracker::updateImpl | ( | const Mat & | image,
|  | Rect2d & | boundingBox )
| protected pure virtual

## ◆ write()

virtual void cv::legacy::Tracker::write | ( | FileStorage & | fs | ) | const
| pure virtual

Stores algorithm parameters in a file storage.

Reimplemented from cv::Algorithm.

## Member Data Documentation

## ◆ featureSet

Ptr<TrackerContribFeatureSet> cv::legacy::Tracker::featureSet
| protected

## ◆ isInit

bool cv::legacy::Tracker::isInit
| protected

## ◆ model

Ptr<TrackerModel> cv::legacy::Tracker::model
| protected

## ◆ sampler

Ptr<TrackerContribSampler> cv::legacy::Tracker::sampler
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_legacy.hpp